# Class Filter

#### Hierarchy

- unknown
  - Filter

- Defined in src/protobuf/pb_pb.d.ts:2513
- Defined in src/protobuf/pb_pb.d.ts:2634

#####
Index

### Constructors

constructor

### Methods

addArbitrators
addBannedAutoConfExplorers
addBannedCurrencies
addBannedOfferIds
addBannedPaymentAccounts
addBannedPaymentMethods
addBannedprivilegeddevpubkeys
addBannedsignerpubkeys
addMediators
addNodeAddressesBannedFromNetwork
addNodeAddressesBannedFromTrading
addPriceRelayNodes
addRefundagents
addSeedNodes
addXmrFeeReceiverAddresses
addXmrNodes
clearArbitratorsList
clearBannedAutoConfExplorersList
clearBannedCurrenciesList
clearBannedOfferIdsList
clearBannedPaymentAccountsList
clearBannedPaymentMethodsList
clearBannedprivilegeddevpubkeysList
clearBannedsignerpubkeysList
clearExtraDataMap
clearMediatorsList
clearNodeAddressesBannedFromNetworkList
clearNodeAddressesBannedFromTradingList
clearPriceRelayNodesList
clearRefundagentsList
clearSeedNodesList
clearXmrFeeReceiverAddressesList
clearXmrNodesList
getArbitratorsList
getBannedAutoConfExplorersList
getBannedCurrenciesList
getBannedOfferIdsList
getBannedPaymentAccountsList
getBannedPaymentMethodsList
getBannedprivilegeddevpubkeysList
getBannedsignerpubkeysList
getCreationDate
getDisableApi
getDisableAutoConf
getDisableMempoolValidation
getDisableTradeBelowVersion
getExtraDataMap
getMediatorsList
getNodeAddressesBannedFromNetworkList
getNodeAddressesBannedFromTradingList
getOwnerPubKeyBytes
getOwnerPubKeyBytes_asB64
getOwnerPubKeyBytes_asU8
getPreventPublicXmrNetwork
getPriceRelayNodesList
getRefundagentsList
getSeedNodesList
getSignatureAsBase64
getSignerPubKeyAsHex
getXmrFeeReceiverAddressesList
getXmrNodesList
serializeBinary
setArbitratorsList
setBannedAutoConfExplorersList
setBannedCurrenciesList
setBannedOfferIdsList
setBannedPaymentAccountsList
setBannedPaymentMethodsList
setBannedprivilegeddevpubkeysList
setBannedsignerpubkeysList
setCreationDate
setDisableApi
setDisableAutoConf
setDisableMempoolValidation
setDisableTradeBelowVersion
setMediatorsList
setNodeAddressesBannedFromNetworkList
setNodeAddressesBannedFromTradingList
setOwnerPubKeyBytes
setPreventPublicXmrNetwork
setPriceRelayNodesList
setRefundagentsList
setSeedNodesList
setSignatureAsBase64
setSignerPubKeyAsHex
setXmrFeeReceiverAddressesList
setXmrNodesList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new Filter(): Filter

- #### Returns Filter

  Inherited from jspb.Message.constructor

## Methods

### addArbitrators

- addArbitrators(value: string, index?: number): Filter

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2553

### addBannedAutoConfExplorers

- addBannedAutoConfExplorers(value: string, index?: number): Filter

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2613

### addBannedCurrencies

- addBannedCurrencies(value: string, index?: number): Filter

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2543

### addBannedOfferIds

- addBannedOfferIds(value: string, index?: number): Filter

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2522

### addBannedPaymentAccounts

- addBannedPaymentAccounts(value?: PaymentAccountFilter, index?: number): PaymentAccountFilter

- #### Parameters

  - ##### `Optional` value: PaymentAccountFilter

  - ##### `Optional` index: number

  #### Returns PaymentAccountFilter

  - Defined in src/protobuf/pb_pb.d.ts:2527

### addBannedPaymentMethods

- addBannedPaymentMethods(value: string, index?: number): Filter

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2548

### addBannedprivilegeddevpubkeys

- addBannedprivilegeddevpubkeys(value: string, index?: number): Filter

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2605

### addBannedsignerpubkeys

- addBannedsignerpubkeys(value: string, index?: number): Filter

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2589

### addMediators

- addMediators(value: string, index?: number): Filter

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2579

### addNodeAddressesBannedFromNetwork

- addNodeAddressesBannedFromNetwork(value: string, index?: number): Filter

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2618

### addNodeAddressesBannedFromTrading

- addNodeAddressesBannedFromTrading(value: string, index?: number): Filter

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2517

### addPriceRelayNodes

- addPriceRelayNodes(value: string, index?: number): Filter

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2563

### addRefundagents

- addRefundagents(value: string, index?: number): Filter

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2584

### addSeedNodes

- addSeedNodes(value: string, index?: number): Filter

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2558

### addXmrFeeReceiverAddresses

- addXmrFeeReceiverAddresses(value: string, index?: number): Filter

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2594

### addXmrNodes

- addXmrNodes(value: string, index?: number): Filter

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2571

### clearArbitratorsList

- clearArbitratorsList(): Filter

- #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2552

### clearBannedAutoConfExplorersList

- clearBannedAutoConfExplorersList(): Filter

- #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2612

### clearBannedCurrenciesList

- clearBannedCurrenciesList(): Filter

- #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2542

### clearBannedOfferIdsList

- clearBannedOfferIdsList(): Filter

- #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2521

### clearBannedPaymentAccountsList

- clearBannedPaymentAccountsList(): Filter

- #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2526

### clearBannedPaymentMethodsList

- clearBannedPaymentMethodsList(): Filter

- #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2547

### clearBannedprivilegeddevpubkeysList

- clearBannedprivilegeddevpubkeysList(): Filter

- #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2604

### clearBannedsignerpubkeysList

- clearBannedsignerpubkeysList(): Filter

- #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2588

### clearExtraDataMap

- clearExtraDataMap(): Filter

- #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2538

### clearMediatorsList

- clearMediatorsList(): Filter

- #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2578

### clearNodeAddressesBannedFromNetworkList

- clearNodeAddressesBannedFromNetworkList(): Filter

- #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2617

### clearNodeAddressesBannedFromTradingList

- clearNodeAddressesBannedFromTradingList(): Filter

- #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2516

### clearPriceRelayNodesList

- clearPriceRelayNodesList(): Filter

- #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2562

### clearRefundagentsList

- clearRefundagentsList(): Filter

- #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2583

### clearSeedNodesList

- clearSeedNodesList(): Filter

- #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2557

### clearXmrFeeReceiverAddressesList

- clearXmrFeeReceiverAddressesList(): Filter

- #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2593

### clearXmrNodesList

- clearXmrNodesList(): Filter

- #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2570

### getArbitratorsList

- getArbitratorsList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:2550

### getBannedAutoConfExplorersList

- getBannedAutoConfExplorersList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:2610

### getBannedCurrenciesList

- getBannedCurrenciesList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:2540

### getBannedOfferIdsList

- getBannedOfferIdsList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:2519

### getBannedPaymentAccountsList

- getBannedPaymentAccountsList(): PaymentAccountFilter[]

- #### Returns PaymentAccountFilter[]

  - Defined in src/protobuf/pb_pb.d.ts:2524

### getBannedPaymentMethodsList

- getBannedPaymentMethodsList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:2545

### getBannedprivilegeddevpubkeysList

- getBannedprivilegeddevpubkeysList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:2602

### getBannedsignerpubkeysList

- getBannedsignerpubkeysList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:2586

### getCreationDate

- getCreationDate(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:2596

### getDisableApi

- getDisableApi(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:2620

### getDisableAutoConf

- getDisableAutoConf(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:2607

### getDisableMempoolValidation

- getDisableMempoolValidation(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:2623

### getDisableTradeBelowVersion

- getDisableTradeBelowVersion(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2573

### getExtraDataMap

- getExtraDataMap(): Map<string, string>

- #### Returns Map<string, string>

  - Defined in src/protobuf/pb_pb.d.ts:2537

### getMediatorsList

- getMediatorsList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:2576

### getNodeAddressesBannedFromNetworkList

- getNodeAddressesBannedFromNetworkList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:2615

### getNodeAddressesBannedFromTradingList

- getNodeAddressesBannedFromTradingList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:2514

### getOwnerPubKeyBytes

- getOwnerPubKeyBytes(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2532

### getOwnerPubKeyBytes_asB64

- getOwnerPubKeyBytes_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2534

### getOwnerPubKeyBytes_asU8

- getOwnerPubKeyBytes_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2533

### getPreventPublicXmrNetwork

- getPreventPublicXmrNetwork(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:2565

### getPriceRelayNodesList

- getPriceRelayNodesList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:2560

### getRefundagentsList

- getRefundagentsList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:2581

### getSeedNodesList

- getSeedNodesList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:2555

### getSignatureAsBase64

- getSignatureAsBase64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2529

### getSignerPubKeyAsHex

- getSignerPubKeyAsHex(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2599

### getXmrFeeReceiverAddressesList

- getXmrFeeReceiverAddressesList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:2591

### getXmrNodesList

- getXmrNodesList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:2568

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2626

### setArbitratorsList

- setArbitratorsList(value: string[]): Filter

- #### Parameters

  - ##### value: string[]

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2551

### setBannedAutoConfExplorersList

- setBannedAutoConfExplorersList(value: string[]): Filter

- #### Parameters

  - ##### value: string[]

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2611

### setBannedCurrenciesList

- setBannedCurrenciesList(value: string[]): Filter

- #### Parameters

  - ##### value: string[]

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2541

### setBannedOfferIdsList

- setBannedOfferIdsList(value: string[]): Filter

- #### Parameters

  - ##### value: string[]

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2520

### setBannedPaymentAccountsList

- setBannedPaymentAccountsList(value: PaymentAccountFilter[]): Filter

- #### Parameters

  - ##### value: PaymentAccountFilter[]

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2525

### setBannedPaymentMethodsList

- setBannedPaymentMethodsList(value: string[]): Filter

- #### Parameters

  - ##### value: string[]

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2546

### setBannedprivilegeddevpubkeysList

- setBannedprivilegeddevpubkeysList(value: string[]): Filter

- #### Parameters

  - ##### value: string[]

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2603

### setBannedsignerpubkeysList

- setBannedsignerpubkeysList(value: string[]): Filter

- #### Parameters

  - ##### value: string[]

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2587

### setCreationDate

- setCreationDate(value: number): Filter

- #### Parameters

  - ##### value: number

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2597

### setDisableApi

- setDisableApi(value: boolean): Filter

- #### Parameters

  - ##### value: boolean

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2621

### setDisableAutoConf

- setDisableAutoConf(value: boolean): Filter

- #### Parameters

  - ##### value: boolean

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2608

### setDisableMempoolValidation

- setDisableMempoolValidation(value: boolean): Filter

- #### Parameters

  - ##### value: boolean

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2624

### setDisableTradeBelowVersion

- setDisableTradeBelowVersion(value: string): Filter

- #### Parameters

  - ##### value: string

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2574

### setMediatorsList

- setMediatorsList(value: string[]): Filter

- #### Parameters

  - ##### value: string[]

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2577

### setNodeAddressesBannedFromNetworkList

- setNodeAddressesBannedFromNetworkList(value: string[]): Filter

- #### Parameters

  - ##### value: string[]

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2616

### setNodeAddressesBannedFromTradingList

- setNodeAddressesBannedFromTradingList(value: string[]): Filter

- #### Parameters

  - ##### value: string[]

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2515

### setOwnerPubKeyBytes

- setOwnerPubKeyBytes(value: string | Uint8Array): Filter

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2535

### setPreventPublicXmrNetwork

- setPreventPublicXmrNetwork(value: boolean): Filter

- #### Parameters

  - ##### value: boolean

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2566

### setPriceRelayNodesList

- setPriceRelayNodesList(value: string[]): Filter

- #### Parameters

  - ##### value: string[]

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2561

### setRefundagentsList

- setRefundagentsList(value: string[]): Filter

- #### Parameters

  - ##### value: string[]

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2582

### setSeedNodesList

- setSeedNodesList(value: string[]): Filter

- #### Parameters

  - ##### value: string[]

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2556

### setSignatureAsBase64

- setSignatureAsBase64(value: string): Filter

- #### Parameters

  - ##### value: string

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2530

### setSignerPubKeyAsHex

- setSignerPubKeyAsHex(value: string): Filter

- #### Parameters

  - ##### value: string

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2600

### setXmrFeeReceiverAddressesList

- setXmrFeeReceiverAddressesList(value: string[]): Filter

- #### Parameters

  - ##### value: string[]

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2592

### setXmrNodesList

- setXmrNodesList(value: string[]): Filter

- #### Parameters

  - ##### value: string[]

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2569

### toObject

- toObject(includeInstance?: boolean): Filter.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns Filter.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2627

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): Filter

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2630

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Filter, reader: BinaryReader): Filter

- #### Parameters

  - ##### message: Filter

  - ##### reader: BinaryReader

  #### Returns Filter

  - Defined in src/protobuf/pb_pb.d.ts:2631

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: Filter, writer: BinaryWriter): void

- #### Parameters

  - ##### message: Filter

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:2629

### `Static` toObject

- toObject(includeInstance: boolean, msg: Filter): Filter.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Filter

  #### Returns Filter.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2628

Generated using TypeDoc